// CKitGenShader - [2020-04-13 11:57:46]
#ifndef _CKITGENSHADER_H_
#define _CKITGENSHADER_H_

#include "CFTTUberShader.h"

/*
001CFCAC CKitGenShader::CKitGenShader()
001CFCB8 CKitGenShader::~CKitGenShader()
001853CC CKitGenShader::SetColPrimary(CFTTVector32 const&)
001853D8 CKitGenShader::SetColSecondary(CFTTVector32 const&)
001853E4 CKitGenShader::SetColShorts(CFTTVector32 const&)
001853F0 CKitGenShader::SetColSocks(CFTTVector32 const&)
001853FC CKitGenShader::SetColTrimShirt(CFTTVector32 const&)
00185408 CKitGenShader::SetColTrimShorts(CFTTVector32 const&)
00185414 CKitGenShader::SetColTrimSocks(CFTTVector32 const&)
00185420 CKitGenShader::SetKitTrim(CFTTTexParam)
00185434 CKitGenShader::SetGradient(EKitGenShader_Gradient)
001CFCBC CKitGenShader::CreateMat(EKitGenShader_BlendMode)
*/

enum EKitGenShader_Gradient {
  EKitGenShader_Gradient_0,
  EKitGenShader_Gradient_1,
  EKitGenShader_Gradient_2,
  EKitGenShader_Gradient_3,
  EKitGenShader_Gradient_4,
  EKitGenShader_Gradient_5,
};

enum EKitGenShader_BlendMode {
  EKitGenShader_BlendMode_0,
  EKitGenShader_BlendMode_1,
  EKitGenShader_BlendMode_2,
  EKitGenShader_BlendMode_3,
  EKitGenShader_BlendMode_4,
  EKitGenShader_BlendMode_5,
};

class CKitGenShader : public CFTTUberShader {
public:
  CKitGenShader();                                       // 001CFCAC
  ~CKitGenShader();                                      // 001CFCB8
  void SetColPrimary(CFTTVector32 const& pVector32);     // 001853CC
  void SetColSecondary(CFTTVector32 const& pVector32);   // 001853D8
  void SetColShorts(CFTTVector32 const& pVector32);      // 001853E4
  void SetColSocks(CFTTVector32 const& pVector32);       // 001853F0
  void SetColTrimShirt(CFTTVector32 const& pVector32);   // 001853FC
  void SetColTrimShorts(CFTTVector32 const& pVector32);  // 00185408
  void SetColTrimSocks(CFTTVector32 const& pVector32);   // 00185414
  void SetKitTrim(CFTTTexParam aTexParam);               // 00185420
  void SetGradient(EKitGenShader_Gradient);              // 00185434
  ushort CreateMat(EKitGenShader_BlendMode);             // 001CFCBC

  static CKitGenShader s_tInstance;
};

#endif  //_CKITGENSHADER_H_